> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Onboarding Item

> Checks whether an onboarding step is in progress for a provider and upserts the state accordingly.

Not available to API keys yet. It will need `organization:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/check-onboarding-item
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/check-onboarding-item:
    post:
      operationId: checkOnboardingItem
      summary: Check Onboarding Item
      description: >-
        Checks whether an onboarding step is in progress for a provider and
        upserts the state accordingly.


        Not available to API keys yet. It will need `organization:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckOnboardingItemRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckOnboardingItemResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CheckOnboardingItemRequest:
      type: object
      properties:
        onboardingItem:
          type: string
          enum:
            - INVITE_ADMINS
            - SELECT_NETWORKS_AND_STABLECOINS
            - ADD_EMPLOYEES
            - INVITE_EMPLOYEES
            - ADD_PAYROLL_INTEGRATION
            - CONFIGURE_PAYROLL_SETTINGS
            - ADD_PAYMENT_INTEGRATION
        providerInformation:
          type: object
          properties:
            paymentIntegrationProvider:
              type: string
              minLength: 1
              maxLength: 100
            employeeSyncSource:
              type: string
              minLength: 1
              maxLength: 100
            payrollIntegrationType:
              type: string
              minLength: 1
              maxLength: 100
        paymentIntegrationProvider:
          type: string
          enum:
            - BRIDGE
            - FIREBLOCKS
            - SQUADS
            - COINBASE_PRIME
            - MANUAL
        employeeProvider:
          type: string
          enum:
            - CSV_UPLOAD
            - WORKDAY
            - ADP
            - UKG
            - TOKUEOR
            - TRINET
            - GUSTO
            - DEEL
            - BAMBOOHR
            - IMPORTED
            - OTHER
        payrollProvider:
          type: string
          enum:
            - CSV_UPLOAD
            - WORKDAY
            - ADP
            - UKG
            - TOKUEOR
            - TRINET
            - GUSTO
            - IMPORTED
            - OTHER
      required:
        - onboardingItem
    CheckOnboardingItemResponse:
      type: object
      properties:
        result:
          type: boolean
      required:
        - result
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
